- Home
- API Enriched
- Telemetry And Insights
- data
- Connectivity Graph Query.
Connectivity Graph Query.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/graph/connectivity';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","field_selector":{"edge":{"healthscore":{"types":["HEALTHSCORE_NONE"]},"metric":{"features":["TIMESERIES_FEATURE_NONE"],"types":["EDGE_METRIC_TYPE_NONE"]}},"node":{"healthscore":{"types":["HEALTHSCORE_NONE"]},"metric":{"features":["TIMESERIES_FEATURE_NONE"],"instances":["NODE_INSTANCE_METRIC_TYPE_NONE"],"interfaces":["NODE_IF_METRIC_TYPE_NONE"],"types":["NODE_METRIC_TYPE_NONE"]}}},"group_by":["NONE"],"label_filter":[{"label":"LABEL_NONE","op":"NOP","value":"example"}],"namespace":"example","start_time":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/graph/connectivity \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "field_selector": { "edge": { "healthscore": { "types": [ "HEALTHSCORE_NONE" ] }, "metric": { "features": [ "TIMESERIES_FEATURE_NONE" ], "types": [ "EDGE_METRIC_TYPE_NONE" ] } }, "node": { "healthscore": { "types": [ "HEALTHSCORE_NONE" ] }, "metric": { "features": [ "TIMESERIES_FEATURE_NONE" ], "instances": [ "NODE_INSTANCE_METRIC_TYPE_NONE" ], "interfaces": [ "NODE_IF_METRIC_TYPE_NONE" ], "types": [ "NODE_METRIC_TYPE_NONE" ] } } }, "group_by": [ "NONE" ], "label_filter": [ { "label": "LABEL_NONE", "op": "NOP", "value": "example" } ], "namespace": "example", "start_time": "example" }'Request to GET Connectivity data between the sites.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This request is supported only in system namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Graph/connectivity API is used to GET the reachability, throughput and other monitoring data for the tenant’s CEs and the connected REs.
object
End time of metric collection from which data will be considered to build graph. Format: unix_timestamp|RFC 3339
Optional: If not specified, then the end_time will be evaluated to start_time+10m
If start_time is not specified, then the end_time will be evaluated to
object
object
object
Healthscore types to be returned in the response.
object
Specify list of timeseries features that should be returned for each metric type in the request.
Specify list of metrics that should be returned for each edge in the connectivity graph.
object
object
Healthscore types to be returned in the response.
object
Specify list of timeseries features that should be returned for each metric type in the request.
Specify list of metrics.
Specify list of metrics that should be returned for each physical interface in a site.
Specify list of metrics that should be returned for each node in the connectivity graph.
Aggregate data by site.
Optional: If not specified, then the data is aggregated/grouped by site.
List of label filter expressions of the form “label key” QueryOp “value”. Response will only contain data that matches all the conditions specified in the label_filter.
Optional: If not specified, connectivity data for all sites will be returned in the response.
Metrics used in the connectivity graph are tagged with labels listed in the enum Label. Label Filter is used to filter the timeseries that match the specified label key/value and the operator.
object
Value of the label.
This request is supported only in system namespace.
Start time of metric collection from which data will be considered to build graph. Format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to end_time-10m
If end_time is not specified, then the start_time will be evaluated to
Responses
Section titled “Responses”A successful response.
Response for graph/connectivity API contains list of nodes and edges. Each node contains connectivity data for a site and each edge contains the connectivity data between the sites.
object
Connectivity data between the the Customer sites and the Regional sites.
EdgeData wraps all the response data for an edge in the connectivity graph response.
object
object
Name of the site.
object
List of healthscores specified in the request.
HealthScoreTypeData contains healthscore type and the corresponding value.
object
A human readable string explaining the reason in case of bad healthscore.
Healthscore value.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Edge Metric data specified in the request.
EdgeMetricData contains the metric type and the corresponding metric value.
object
object
Number of anomalies for the given time range.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Lower Bound of the metric value.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Upper Bound of the metric value.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Healscore of the metric calculated based on the number of anomalies and the value of the anomalies for the time range.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
List of metric values for a given metric type.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Indicates the metric trend.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
object
Name of the site.
Connectivity data for list of sites owned by a tenant.
NodeData wraps all the response data for a node in the connectivity graph response.
object
object
List of healthscores specified in the request.
HealthScoreTypeData contains healthscore type and the corresponding value.
object
A human readable string explaining the reason in case of bad healthscore.
Healthscore value.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
object
Name of the site.
Instance data for the node requested by the user.
NodeInstanceData is part of the connectivity graph response that contains the instance name along with the corresponding metric.
object
Instance name.
Instance Metric Data.
NodeInstanceMetricData contains the metric type and the corresponding value for a node instance.
object
object
Number of anomalies for the given time range.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Lower Bound of the metric value.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Upper Bound of the metric value.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Healscore of the metric calculated based on the number of anomalies and the value of the anomalies for the time range.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
List of metric values for a given metric type.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Indicates the metric trend.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Interface data for the node requested by the user.
NodeInterfaceData is part of the connectivity graph response that contains the interface name along with the corresponding metric.
object
Interface name.
Interface Metric Data.
NodeInterfaceMetricData contains the metric type and the corresponding value for a node interface.
object
object
Number of anomalies for the given time range.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Lower Bound of the metric value.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Upper Bound of the metric value.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Healscore of the metric calculated based on the number of anomalies and the value of the anomalies for the time range.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
List of metric values for a given metric type.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Indicates the metric trend.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Network Type can be “INSIDE” (LAN traffic) or “OUTSIDE” (WAN traffic)
Segment name for network_type segment should be added in response.
Node Metric data specified in the request.
NodeMetricData contains metric type and the corresponding value for a node.
object
object
Number of anomalies for the given time range.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Lower Bound of the metric value.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Upper Bound of the metric value.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Healscore of the metric calculated based on the number of anomalies and the value of the anomalies for the time range.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
List of metric values for a given metric type.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Indicates the metric trend.
Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.
object
UTC timestamp in seconds.
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Metric value.
Example
{ "edges": [ { "dst_id": { "site_type": "INVALID" }, "healthscore": { "data": [ { "type": "HEALTHSCORE_NONE", "value": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ] } ] }, "metric": [ { "type": "EDGE_METRIC_TYPE_NONE", "unit": "UNIT_MILLISECONDS", "value": { "anomaly": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "confidence_lower_bound": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "confidence_upper_bound": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "healthscore": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "raw": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "trend": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ] } } ], "src_id": { "site_type": "INVALID" } } ], "nodes": [ { "healthscore": { "data": [ { "type": "HEALTHSCORE_NONE", "value": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ] } ] }, "id": { "site_type": "INVALID" }, "instances": [ { "metric": [ { "type": "NODE_INSTANCE_METRIC_TYPE_NONE", "unit": "UNIT_MILLISECONDS", "value": { "anomaly": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "confidence_lower_bound": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "confidence_upper_bound": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "healthscore": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "raw": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "trend": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ] } } ] } ], "interfaces": [ { "metric": [ { "type": "NODE_IF_METRIC_TYPE_NONE", "unit": "UNIT_MILLISECONDS", "value": { "anomaly": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "confidence_lower_bound": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "confidence_upper_bound": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "healthscore": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "raw": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "trend": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ] } } ] } ], "metric": [ { "type": "NODE_METRIC_TYPE_NONE", "unit": "UNIT_MILLISECONDS", "value": { "anomaly": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "confidence_lower_bound": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "confidence_upper_bound": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "healthscore": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "raw": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "trend": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ] } } ] } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example